Skip to main content
GET
Fetch custom journal entry

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string<uuid>
required

The UUID of the business to fetch the custom journal entry from

customJournalEntryId
string<uuid>
required

The UUID of the custom journal entry to fetch

Response

200 - application/json

The custom journal entry

id
string<uuid>
required

Unique identifier for the journal entry.

created_by
string
required

Identifier of the user or system that created the journal entry.

memo
string
required

Description or memo of the journal entry.

entry_id
string
required

ID of the ledger entry.

entry
object
required

The ledger entry associated with this journal entry.

transaction_tags
object[]
required

Tags associated with the journal entry.

external_id
string | null

External ID of the journal entry in your system.

customer
object | null

The customer associated with this journal entry, if any.

vendor
object | null

The vendor associated with this journal entry, if any.

line_items
object[]

Line items for the journal entry.

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the custom journal entry. Can be used to filter when listing custom journal entries.